clang-tools 3.8.0

- Main Page
- Namespaces
- Classes
- Files

- File List
- File Members

Functions
ToolTemplate.cpp File Reference
`#include "clang/ASTMatchers/ASTMatchers.h"`
`#include "clang/ASTMatchers/ASTMatchFinder.h"`
`#include "clang/Basic/SourceManager.h"`
`#include "clang/Frontend/FrontendActions.h"`
`#include "clang/Lex/Lexer.h"`
`#include "clang/Tooling/CommonOptionsParser.h"`
`#include "clang/Tooling/Refactoring.h"`
`#include "clang/Tooling/Tooling.h"`
`#include "llvm/Support/CommandLine.h"`
`#include "llvm/Support/MemoryBuffer.h"`
`#include "llvm/Support/Signals.h"`
Include dependency graph for ToolTemplate.cpp:

Go to the source code of this file.

## Functions
static cl::extrahelp | CommonHelp (CommonOptionsParser::HelpMessage)
static cl::OptionCategory | ToolTemplateCategory ("tool-template options")
int | main (int argc, const char **argv)

## Function Documentation

static cl::extrahelp CommonHelp | ( | CommonOptionsParser::HelpMessage |  | ) |
| static

int main | ( | int | argc,
|  | const char ** | argv
| ) |  |

Definition at line 75 of file ToolTemplate.cpp.

References Finder, and ToolTemplateCategory().

static cl::OptionCategory ToolTemplateCategory | ( | "tool-template options" |  | ) |
| static

Referenced by main().